<?php

/**
 * Active Callbacks
 *
 * @package mirrors_interior
 */

// Theme Options.
function mirrors_interior_is_pagination_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_enable_pagination' )->value() );
}
function mirrors_interior_is_breadcrumb_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_enable_breadcrumb' )->value() );
}
function mirrors_interior_is_layout_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_website_layout' )->value() );
}
function mirrors_interior_is_pagetitle_bcakground_image_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_page_header_style' )->value() );
}
function mirrors_interior_is_preloader_style( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_enable_preloader' )->value() );
}

// Header Options.
function mirrors_interior_is_topbar_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_Setting( 'mirrors_interior_enable_topbar' )->value() );
}

// Banner Slider Section.
function mirrors_interior_is_banner_slider_section_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_enable_banner_section' )->value() );
}
function mirrors_interior_is_banner_slider_section_and_content_type_post_enabled( $mirrors_interior_control ) {
	$mirrors_interior_content_type = $mirrors_interior_control->manager->get_setting( 'mirrors_interior_banner_slider_content_type' )->value();
	return ( mirrors_interior_is_banner_slider_section_enabled( $mirrors_interior_control ) && ( 'post' === $mirrors_interior_content_type ) );
}
function mirrors_interior_is_banner_slider_section_and_content_type_page_enabled( $mirrors_interior_control ) {
	$mirrors_interior_content_type = $mirrors_interior_control->manager->get_setting( 'mirrors_interior_banner_slider_content_type' )->value();
	return ( mirrors_interior_is_banner_slider_section_enabled( $mirrors_interior_control ) && ( 'page' === $mirrors_interior_content_type ) );
}

// Product section.
function mirrors_interior_is_service_section_enabled( $mirrors_interior_control ) {
	return ( $mirrors_interior_control->manager->get_setting( 'mirrors_interior_enable_service_section' )->value() );
}